diff --git a/lib/pkg_info.cygpart b/lib/pkg_info.cygpart
index 37cfa676..9cd7d06b 100644
--- a/lib/pkg_info.cygpart
+++ b/lib/pkg_info.cygpart
@@ -557,7 +557,7 @@ for suffix, mode, type in imp.get_suffixes(): print(suffix)')
 		done
 	done
 
-	if check_prog ruby
+	if [ "${PN}" != "ruby" ] && check_prog ruby
 	then
 		rbdirs=($(ruby -e 'print($:.join(" "))'))
 		rbdirs+=" ${DEPS_PATH//:/ }"
@@ -597,19 +597,19 @@ for suffix, mode, type in imp.get_suffixes(): print(suffix)')
 				done
 			done
 		done
-	fi
 
-	rbver=( $(find "${@//^_^/ }" -path "usr/*/ruby/vendor_ruby/[0-9].[0-9]/*" \
-	        | sed -E 's!usr/.*/ruby/vendor_ruby/([0-9]).([0-9])/.*!ruby_\1\2!' \
-	        | sort -ru) )
-	if [ "${#rbver[@]}" -gt 1 ]
-	then
-		warning "More than one targeted Ruby version: ${rbver[*]},"
-		warning "using only the latest as dependency: ${rbver[0]}."
-	fi
-	if [ "${#rbver[@]}" -gt 0 ] && [ "${PN}" != "ruby" ]
-	then
-		echo "${rbver[0]}"
+		rbver=( $(find "${@//^_^/ }" -path "usr/*/ruby/vendor_ruby/[0-9].[0-9]/*" \
+				| sed -E 's!usr/.*/ruby/vendor_ruby/([0-9]).([0-9])/.*!ruby_\1\2!' \
+				| sort -ru) )
+		if [ "${#rbver[@]}" -gt 1 ]
+		then
+			warning "More than one targeted Ruby version: ${rbver[*]},"
+			warning "using only the latest as dependency: ${rbver[0]}."
+		fi
+		if [ "${#rbver[@]}" -gt 0 ]
+		then
+			echo "${rbver[0]}"
+		fi
 	fi
 
 	if [ $(find "${@//^_^/ }" -path 'usr/share/doc/*' -prune \
@@ -661,7 +661,7 @@ for suffix, mode, type in imp.get_suffixes(): print(suffix)')
 		cygruby[0-9][0-9]0.dll)
 		    rbver="${dll##*cygruby}"
 		    rbver="${rbver%%0.dll}"
-		    echo "ruby_${rbver}"
+		    [ "${PN}" != "ruby" ] && echo "ruby_${rbver}"
 		    ;;
 	    esac
 	done
